<?php

namespace Garradin;
use Garradin\Plugin\Materiels\Equipment;
use Garradin\Plugin\Materiels\Entry;
use Garradin\Plugin\Materiels\Output;

require_once __DIR__ . '/_inc.php';

$eqmt = new Equipment;
$entry = new Entry;
$output = new Output;

$eq = $eqmt->get((int) qg('id'));

$entry_dates = $entry->AllDatesByEquipment($eq->id);
$output_dates = $output->AllDatesByEquipment($eq->id);
$all_dates = array_unique(array_merge(
  $entry_dates, $output_dates), SORT_REGULAR);

sort($all_dates);

$tpl->assign(compact('all_dates'));

$tpl->display(PLUGIN_ROOT . '/templates/historique.tpl');
